import { AfterViewInit, ElementRef, OnInit, QueryList } from "@angular/core";
import { Store } from '@ngxs/store';
import { MenuItem, PrimeTemplate } from 'primeng/api';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class NewAthenaProfileMenuComponent implements OnInit, AfterViewInit {
    private _eref;
    private store;
    templates: QueryList<PrimeTemplate>;
    profile: MenuItem[];
    userData$: Observable<never>;
    items: MenuItem[];
    isExpanded: boolean;
    private isLoaded;
    uiConfig: import("ngx-smz-ui").NgxSmzUiConfig;
    constructor(_eref: ElementRef, store: Store);
    ngOnInit(): void;
    get themeClass(): "" | "active-menuitem";
    ngAfterViewInit(): void;
    collapse(event: any): void;
    toggle(): void;
    handleMissingImage(event: Event, user: string, notfound: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NewAthenaProfileMenuComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NewAthenaProfileMenuComponent, "[smz-ui-new-athena-profile-menu]", never, { "profile": { "alias": "profile"; "required": false; }; }, {}, ["templates"], never, false, never>;
}
